Bug 125358 - Infobar's height is not recalculated after resized main window
Summary: Infobar's height is not recalculated after resized main window
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Infobar-UX
  Show dependency treegraph
 
Reported: 2019-05-18 14:47 UTC by Xisco Faulí
Modified: 2019-06-06 10:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
screencast (715.20 KB, video/mp4)
2019-05-18 14:47 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-05-18 14:47:59 UTC
Created attachment 151500 [details]
screencast

Steps to reproduce:
1. Open a read-only file -> Infobar is displayed
2. Resize the main windows making it smaller and then bigger

see attached screencast

Reproduced in

Version: 6.3.0.0.alpha1+
Build ID: 4c2034b808fed4f9dfd715d8a4813e788a7e97a4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-05-18 14:50:44 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=c92bfbf9506681468a471563a47eb84c6944a104

author	Rasmus Jonsson <wasmus@zom.bi>	2019-03-20 21:27:03 +0100
committer	Samuel Mehrbrodt <Samuel.Mehrbrodt@cib.de>	2019-03-22 16:17:48 +0100
commit c92bfbf9506681468a471563a47eb84c6944a104 (patch)
tree b92f354bbb9ab327ad554cee11735a7d889306a9
parent bb4fcc3d968367d682d6da057083378e9d171a22 (diff)
tdf#119905 Infobar text overlap

Bisected with: bibisect-linux64-6.3

Adding Cc: to Rasmus Jonsson
Comment 2 Xisco Faulí 2019-05-18 15:01:49 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/72530/
Comment 3 Commit Notification 2019-05-20 16:19:08 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/9d68325feabac4c3278d0ca45033163f7461e66a%5E%21

tdf#125358: initialize nHeight to 0

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 BogdanB 2019-06-06 10:35:52 UTC
Fixed.

Verified on
Version: 6.3.0.0.beta1 (x64)
Build ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: ro-RO (ro_RO); UI-Language: en-US
Calc: threaded